ladiv(3)

NAME
ladiv - ladiv: complex divide

SYNOPSIS

  Functions
complex function cladiv (x, y)
CLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine dladiv (a, b, c, d, p, q)
DLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine dladiv1 (a, b, c, d, p, q)
double precision function dladiv2 (a, b, c, d, r, t)
subroutine sladiv (a, b, c, d, p, q)
SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.
subroutine sladiv1 (a, b, c, d, p, q)
real function sladiv2 (a, b, c, d, r, t)
complex *16 function zladiv (x, y)
ZLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Detailed Description

Function Documentation

  complex function cladiv (complex x, complex y)

CLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

    !>
    !> CLADIV := X / Y, where X and Y are complex.  The computation of X / Y
    !> will not overflow on an intermediary step unless the results
    !> overflows.
    !>

Parameters
    X

    !>          X is COMPLEX
    !>

    Y

    !>          Y is COMPLEX
    !>          The complex scalars X and Y.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 63 of file cladiv.f.

  subroutine dladiv (double precision a, double precision b, double precision c, double precision d, double precision p, double precision q)

DLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

    !>
    !> DLADIV performs complex division in  real arithmetic
    !>
    !>                       a + i*b
    !>            p + i*q = ---------
    !>                       c + i*d
    !>
    !> The algorithm is due to Michael Baudin and Robert L. Smith
    !> and can be found in the paper
    !>
    !>

Parameters
    A

    !>          A is DOUBLE PRECISION
    !>

    B

    !>          B is DOUBLE PRECISION
    !>

    C

    !>          C is DOUBLE PRECISION
    !>

    D

    !>          D is DOUBLE PRECISION
    !>          The scalars a, b, c, and d in the above expression.
    !>

    P

    !>          P is DOUBLE PRECISION
    !>

    Q

    !>          Q is DOUBLE PRECISION
    !>          The scalars p and q in the above expression.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file dladiv.f.

  subroutine dladiv1 (double precision a, double precision b, double precision c, double precision d, double precision p, double precision q)

Definition at line 176 of file dladiv.f.

  double precision function dladiv2 (double precision a, double precision b, double precision c, double precision d, double precision r, double precision t)

Definition at line 215 of file dladiv.f.

  subroutine sladiv (real a, real b, real c, real d, real p, real q)

SLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

    !>
    !> SLADIV performs complex division in  real arithmetic
    !>
    !>                       a + i*b
    !>            p + i*q = ---------
    !>                       c + i*d
    !>
    !> The algorithm is due to Michael Baudin and Robert L. Smith
    !> and can be found in the paper
    !>
    !>

Parameters
    A

    !>          A is REAL
    !>

    B

    !>          B is REAL
    !>

    C

    !>          C is REAL
    !>

    D

    !>          D is REAL
    !>          The scalars a, b, c, and d in the above expression.
    !>

    P

    !>          P is REAL
    !>

    Q

    !>          Q is REAL
    !>          The scalars p and q in the above expression.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file sladiv.f.

  subroutine sladiv1 (real a, real b, real c, real d, real p, real q)

Definition at line 176 of file sladiv.f.

  real function sladiv2 (real a, real b, real c, real d, real r, real t)

Definition at line 215 of file sladiv.f.

  complex*16 function zladiv (complex*16 x, complex*16 y)

ZLADIV performs complex division in real arithmetic, avoiding unnecessary overflow.

Purpose:

    !>
    !> ZLADIV := X / Y, where X and Y are complex.  The computation of X / Y
    !> will not overflow on an intermediary step unless the results
    !> overflows.
    !>

Parameters
    X

    !>          X is COMPLEX*16
    !>

    Y

    !>          Y is COMPLEX*16
    !>          The complex scalars X and Y.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 63 of file zladiv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.